<!DOCTYPE html>
<html>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<body>

<style>
table, th , td {
  border: 1px solid grey;
  border-collapse: collapse;
  padding: 5px;
}

table tr:nth-child(odd) {
  background-color: #f1f1f1;
}

table tr:nth-child(even) {
  background-color: #ffffff;
}
</style>

<div ng-app="myApp" ng-controller="myCtrl"> 


<p>Today's welcome message is:</p>

<h1>{{myWelcome}}</h1>

<h1>{{status}}</h1>
<h1>{{statusText}}</h1>
<h1>{{selectedName}}</h1>

<select ng-model="selectedName" ng-options="x.title for x in myData">
</select>

<b>POSTs from Json</b>

<table>
  <tr ng-repeat="x in myData | orderBy:'title'">
	<td>{{ $index + 1 }}</td>
    <td>{{ x.userId }}</td>
    <td>{{ x.title | uppercase}}</td>
  </tr>
</table>

</div>
<script>
var app = angular.module('myApp', []);
app.controller('myCtrl', function($scope, $http) {
  $http({
    method : "GET",
    url : "https://jsonplaceholder.typicode.com/posts"
  }).then(function mySuccess(response) {
      $scope.myData = response.data;
	  $scope.statuscode = response.status;
	  $scope.statustext = response.statusText; 
	  console.log(response.data)
    }, function myError(response) {
      $scope.myWelcome = response.statusText;
  });
});
</script>

</body>
</html>
